Bug 1511543 - [RFE] Make /var/log/libvirt/* available on the host (i.e. outside the 'nova_libvirt' container)
Summary: [RFE] Make /var/log/libvirt/* available on the host (i.e. outside the 'nova_l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Sven Anderson
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 14:31 UTC by Kashyap Chamarthy
Modified: 2018-06-27 13:39 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180304031146.6cd4184.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:39:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 522295 'None' MERGED Expose logs from nova_libvirt container 2020-09-01 09:47:45 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:39:48 UTC

Description Kashyap Chamarthy 2017-11-09 14:31:31 UTC
At present, the libvirt log directory (/var/log/libvirt/*) from the 'nova_libvirt' container aren't available on the host mount point (/var/log/containers/)

Exposing them (/var/log/libvirt/* directory and its contents) on the Compute host would be helpful for debugging issues across the Virt Driver stack.

Comment 1 Kashyap Chamarthy 2017-11-17 14:21:25 UTC
I see that Sven has triaged it as valid.

Just to be clear, Nova should care two kinds of logs from libvirt:

(1) From wherever the libvirt daemon and the Nova instances are running, all the instance specific logs located in: /var/log/libvirt/qemu/*.log

(2) This is not enabled by default, but when explicitly configured with logging filters, the file: /var/log/libvirt/libvirt.log

So exposing the /var/log/libvirt directory from the container to the host would address both the above requirements.


[*] https://kashyapc.fedorapeople.org/virt/openstack/request-nova-libvirt-qemu-debug-logs.txt

Comment 6 Sven Anderson 2017-12-15 15:46:21 UTC
Merged upstream. Will be in M3.

Comment 10 errata-xmlrpc 2018-06-27 13:39:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.